# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4a from Makefile.am

# Copyright (C) 1994, 1995-9, 2000 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/libglade
pkglibdir = $(libdir)/libglade
pkgincludedir = $(includedir)/libglade

top_builddir = ..

ACLOCAL = ${SHELL} /Users/proclus//temp/libglade-0.15/missing --run aclocal -I macros
AUTOCONF = ${SHELL} /Users/proclus//temp/libglade-0.15/missing --run autoconf
AUTOMAKE = ${SHELL} /Users/proclus//temp/libglade-0.15/missing --run automake
AUTOHEADER = ${SHELL} /Users/proclus//temp/libglade-0.15/missing --run autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
INSTALL_STRIP_FLAG =
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :


host_alias = ppc
host_triplet = powerpc-unknown-none
AMDEP = 
AMTAR = ${SHELL} /Users/proclus//temp/libglade-0.15/missing --run tar
AS = @AS@
AWK = gawk
BONOBO_CFLAGS = 
BONOBO_LIBS = 
CATALOGS = 
CATOBJEXT = 
CC = gcc
CPP = gcc -E
CXX = @CXX@
CXXCPP = @CXXCPP@
DATADIRNAME = 
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
GENCAT = 
GMOFILES = 
GMSGFMT = 
GNOMEGNORBA_LIBS = 
GNOMEUI_LIBS = -lgnomeui -lart_lgpl -L/usr/local/lib -lgdk_imlib -ljpeg -ltiff -lungif -lpng -lz -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -bexpall -lgmodule -lglib -lXext -lX11 -lSM -lICE -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -bexpall -lgmodule -lglib -lXext -lX11 -lgnome -lgnomesupport    -L/usr/local/lib -lglib -ldl
GNOME_APPLETS_LIBS = 
GNOME_CAPPLET_LIBS = 
GNOME_CONFIG = no
GNOME_DOCKLETS_LIBS = 
GNOME_INCLUDEDIR = -I/usr/local/include -DNEED_GNOMESUPPORT_H -I/usr/local/lib/gnome-libs/include -I/usr/local/lib/glib/include -I/usr/local/include -I/usr/X11R6/include
GNOME_LIBDIR = -L/usr/local/lib
GNOME_LIBS = -lgnome -lgnomesupport    -L/usr/local/lib -lglib -ldl
GNORBA_CFLAGS = 
GNORBA_LIBS = 
GTKDOC = false
GTKXMHTML_LIBS = -lgtkxmhtml -lXpm -ljpeg -lpng -lz -lz -lSM -lICE -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -bexpall -lgmodule -lglib -lXext -lX11
GTK_CFLAGS = -I/usr/local/lib/glib/include -I/usr/local/include -I/usr/X11R6/include
GTK_CONFIG = /usr/local/bin/gtk-config
GTK_LIBS = -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -bexpall -lgmodule -lglib -lXext -lX11
GT_NO = 
GT_YES = #YES#
INCLUDE_LOCALE_H = #include <locale.h>
INSTOBJEXT = 
INTLDEPS = 
INTLLIBS = 
INTLOBJS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAINT = #
MAKEINFO = ${SHELL} /Users/proclus//temp/libglade-0.15/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
OBJDUMP = @OBJDUMP@
ORBIT_CFLAGS = 
ORBIT_CONFIG = 
ORBIT_IDL = 
ORBIT_LIBS = 
PACKAGE = libglade
POFILES = 
POSUB = po
RANLIB = ranlib
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.15
XML_CFLAGS = -I/usr/local/include/gnome-xml
XML_CONFIG = /usr/local/bin/xml-config
XML_LIBS = -L/usr/local/lib -lxml -lz
ZVT_LIBS = 
cflags_set = yes
cxxflags_set = @cxxflags_set@
install_sh = ./install-sh
l = 

# Before making a release, the LTVERSION string should be modified.
# The string is of the form C:R:A.
# - If interfaces have been changed or added, but binary compatibility has
#   been preserved, change to C+1:0:A+1
# - If binary compatibility has been broken (eg removed or changed interfaces)
#   change to C+1:0:0
# - If the interface is the same as the previous version, change to C:R+1:A


LTVERSION = 4:1:4

INCLUDES = -I$(srcdir)/.. $(XML_CFLAGS) $(GTK_CFLAGS) $(GNOME_INCLUDEDIR) $(BONOBO_CFLAGS)

the_sources = \
	glade-init.c 	\
	glade-sax.c	\
	glade-xml.c 	\
	glade-gtk.c 	\
	glade-tree.c 	\
	glade-private.h


the_headers = \
	glade.h 	\
	glade-xml.h 	\
	glade-build.h	\
	glade-widget-tree.h


build_glade_gnome = libglade-gnome.la
#build_glade_bonobo = #libglade-bonobo.la

lib_LTLIBRARIES = libglade.la $(build_glade_gnome) $(build_glade_bonobo)

libglade_la_SOURCES = $(the_sources)
libglade_la_LIBADD = $(GTK_LIBS) $(XML_LIBS)
libglade_la_LDFLAGS = -version-info $(LTVERSION)

libglade_gnome_la_SOURCES = glade-gnome.c glade-build.h glade-xml.h
libglade_gnome_la_LIBADD = $(GNOME_LIBDIR) $(GNOMEUI_LIBS) $(XML_LIBS)
libglade_gnome_la_LDFLAGS = -version-info $(LTVERSION)

libglade_bonobo_la_SOURCES = glade-bonobo.c glade-build.h glade-xml.h
libglade_bonobo_la_LIBADD = $(BONOBO_LIBS) $(XML_LIBS)
libglade_bonobo_la_LDFLAGS = -version-info $(LTVERSION)

gladeincludedir = $(includedir)/glade
gladeinclude_HEADERS = $(the_headers)

EXTRA_DIST = $(the_headers) \
	makefile.mingw	\
	glade.def

subdir = glade
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LDFLAGS = 
LIBS = 
libglade_bonobo_la_DEPENDENCIES = 
am_libglade_bonobo_la_OBJECTS =  glade-bonobo.lo
libglade_bonobo_la_OBJECTS =  $(am_libglade_bonobo_la_OBJECTS)
libglade_gnome_la_DEPENDENCIES = 
am_libglade_gnome_la_OBJECTS =  glade-gnome.lo
libglade_gnome_la_OBJECTS =  $(am_libglade_gnome_la_OBJECTS)
libglade_la_DEPENDENCIES = 
am_libglade_la_OBJECTS =  glade-init.lo glade-sax.lo glade-xml.lo \
glade-gtk.lo glade-tree.lo
libglade_la_OBJECTS =  $(am_libglade_la_OBJECTS)
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CFLAGS = -g -O2 -Wall -Wunused 
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES =  $(libglade_bonobo_la_SOURCES) \
$(libglade_gnome_la_SOURCES) $(libglade_la_SOURCES)
HEADERS =  $(gladeinclude_HEADERS)

depcomp = $(SHELL) $(top_srcdir)/depcomp
DEP_FILES =   $(DEPDIR)/glade-bonobo.Plo \
$(DEPDIR)/glade-gnome.Plo $(DEPDIR)/glade-gtk.Plo \
$(DEPDIR)/glade-init.Plo $(DEPDIR)/glade-sax.Plo \
$(DEPDIR)/glade-tree.Plo $(DEPDIR)/glade-xml.Plo
DIST_COMMON =  $(gladeinclude_HEADERS) Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
SOURCES = $(libglade_bonobo_la_SOURCES) $(libglade_gnome_la_SOURCES) $(libglade_la_SOURCES)
OBJECTS = $(am_libglade_bonobo_la_OBJECTS) $(am_libglade_gnome_la_OBJECTS) $(am_libglade_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .c .h .lo .o
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu glade/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  echo " $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libglade-bonobo.la: $(libglade_bonobo_la_OBJECTS) $(libglade_bonobo_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libglade_bonobo_la_LDFLAGS) $(libglade_bonobo_la_OBJECTS) $(libglade_bonobo_la_LIBADD) $(LIBS)

libglade-gnome.la: $(libglade_gnome_la_OBJECTS) $(libglade_gnome_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libglade_gnome_la_LDFLAGS) $(libglade_gnome_la_OBJECTS) $(libglade_gnome_la_LIBADD) $(LIBS)

libglade.la: $(libglade_la_OBJECTS) $(libglade_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libglade_la_LDFLAGS) $(libglade_la_OBJECTS) $(libglade_la_LIBADD) $(LIBS)

install-gladeincludeHEADERS: $(gladeinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(gladeincludedir)
	@list='$(gladeinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(gladeincludedir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(gladeincludedir)/$$f; \
	done

uninstall-gladeincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(gladeinclude_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(gladeincludedir)/$$f"; \
	  rm -f $(DESTDIR)$(gladeincludedir)/$$f; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || etags $(ETAGS_ARGS) $$tags  $$unique $(LISP)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

include $(DEPDIR)/glade-bonobo.Plo
include $(DEPDIR)/glade-gnome.Plo
include $(DEPDIR)/glade-gtk.Plo
include $(DEPDIR)/glade-init.Plo
include $(DEPDIR)/glade-sax.Plo
include $(DEPDIR)/glade-tree.Plo
include $(DEPDIR)/glade-xml.Plo

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf $(DEPDIR)

maintainer-clean-depend:

CCDEPMODE = depmode=gcc

.c.o:
	source='$<' object='$@' libtool=no \
	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
	$(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<

.c.lo:
	source='$<' object='$@' libtool=yes \
	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
	$(CCDEPMODE) $(depcomp) \
	$(LTCOMPILE) -c -o $@ `test -f $< || echo '$(srcdir)/'`$<


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES
install-exec: install-exec-am

install-data-am: install-gladeincludeHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLTLIBRARIES uninstall-gladeincludeHEADERS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_STRIP_FLAG=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(gladeincludedir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-rm -f Makefile.in
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool uninstall-gladeincludeHEADERS \
install-gladeincludeHEADERS tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags mostlyclean-depend distclean-depend \
clean-depend maintainer-clean-depend distdir info-am info dvi-am dvi \
check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all install-strip \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
